# SNESGetLinearSolveIterations

Gets the total number of linear iterations used by the nonlinear solver.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode PETSCSNES_DLLEXPORT SNESGetLinearSolveIterations(SNES snes,PetscInt* lits)

Not Collective

### Input Parameter

snes -SNES context

### Output Parameter

lits -number of linear iterations

### Notes

This counter is reset to zero for each successive call to SNESSolve().

### Keywords

SNES, nonlinear, get, number, linear, iterations

### See Also

SNESGetIterationNumber(), SNESGetFunctionNorm()

Level:intermediate
Location: src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex18.c.html
src/snes/examples/tutorials/ex20.c.html
src/snes/examples/tutorials/ex25.c.html
src/snes/examples/tutorials/ex29.c.html